DTRACE_PRIV(4)

NAME
dtrace_priv - a DTrace provider for the kernel privilege checking API

SYNOPSIS
priv:kernel:priv_check:priv-ok
priv:kernel:priv_check:priv-err

DESCRIPTION
The priv provider allows for tracing the priv(9) API.

The priv:kernel:priv_check:priv-ok probe fires upon a successful kernel privilege check.

The priv:kernel:priv_check:priv-err probe fires upon a failed kernel privilege check.

The only argument to the priv probes, args[0], is the requested privilege number int priv.

EXAMPLES

  Example 1: Tracing Kernel Privilege Check Failures
The following script captures an array of counters, one for each stack trace leading to a failed kernel privilege check:

    priv:::priv-err
    {
    	@traces[stack()] = count();
    }

SEE ALSO
dtrace(1), tracing(7), priv(9), SDT(9)

AUTHORS
-nosplit The priv provider was written by Robert N. M. Watson <rwatson@FreeBSD.org>.

This manual page was written by Mateusz Piotrowski <0mp@FreeBSD.org>.